Debian Bug report logs - #81829
[libapt-pkg] apt-get segfaults on corrupt /var/cache/apt/*.bin

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Wichert Akkerman <wichert@cistron.nl>

Date: Wed, 10 Jan 2001 17:48:26 UTC

Severity: normal

Merged with 165448, 166306, 171248, 173616, 177604, 177871, 186366, 211769, 216249, 218917, 270147, 349233, 368898, 383223, 699475, 93453, 98017

Found in versions 0.3.19, apt/0.6.45, apt/0.5.27, apt/0.6.44.1, apt/0.7.20.2, 0.5.4, 0.5.12, 0.5.3, apt/0.7.20.2+lenny2, apt/0.6.43.2

Fixed in version apt/0.8.16~exp4

Done: Julian Andres Klode <jak@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@cistron.nl>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@cistron.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: segfaults
Date: Wed, 10 Jan 2001 00:01:57 -0800
Package: apt
Version: 0.3.19
Severity: grave

[fog;~]-1# apt-get install ntp
Reading Package Lists... Done
Building Dependency Tree... 0%
zsh: segmentation fault (core dumped)  apt-get install ntp
[fog;~]-2# gdb /usr/bin/apt-get core
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-linux-gnu"...
(no debugging symbols found)...
Core was generated by `apt-get install ntp'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libapt-pkg.so.2.7...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libapt-pkg.so.2.7
Reading symbols from /usr/lib/libstdc++-libc6.1-2.so.3...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libstdc++-libc6.1-2.so.3
Reading symbols from /lib/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x4006a8af in pkgDepCache::Init () from /usr/lib/libapt-pkg.so.2.7
(gdb) bt
#0  0x4006a8af in pkgDepCache::Init () from /usr/lib/libapt-pkg.so.2.7
#1  0x4006a405 in pkgDepCache::pkgDepCache () from /usr/lib/libapt-pkg.so.2.7
#2  0x400a3299 in pkgCacheFile::Open () from /usr/lib/libapt-pkg.so.2.7
#3  0x805483c in strcpy ()
#4  0x40053cea in CommandLine::DispatchArg () from /usr/lib/libapt-pkg.so.2.7
#5  0x805e0fc in strcpy ()
#6  0x4014cdbc in __libc_start_main () from /lib/libc.so.6


-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux fog 2.2.18ext3 #1 Tue Dec 26 01:06:30 CET 2000 i686

Versions of packages apt depends on:
ii  libc6                        2.2-10      GNU C Library: Shared libraries an
ii  libstdc++2.10                1:2.95.2-14 The GNU stdc++ library            




Severity set to `normal'. Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 81829@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Anthony Towns <aj@azure.humbug.org.au>
Cc: <81829@bugs.debian.org>
Subject: How to avoid the segfault in apt-get?
Date: Thu, 15 Feb 2001 12:16:12 +0100 (CET)
Hi Anthony,

I see you have downgraded this bug reported by Wichert from "grave" to
"normal". Is there a specific reason for this downgrade? I have the same
problem with every call to "apt-get" and I'm wondering why you assume it
isn't "grave" that "apt-get" is completely broken for me.

cu,
Adrian

-- 

Nicht weil die Dinge schwierig sind wagen wir sie nicht,
sondern weil wir sie nicht wagen sind sie schwierig.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Anthony Towns <aj@azure.humbug.org.au>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 81829@bugs.debian.org (full text, mbox):

From: Anthony Towns <aj@azure.humbug.org.au>
To: Adrian Bunk <bunk@fs.tum.de>
Cc: 81829@bugs.debian.org
Subject: Re: How to avoid the segfault in apt-get?
Date: Thu, 15 Feb 2001 22:53:11 +1000
[Message part 1 (text/plain, inline)]
On Thu, Feb 15, 2001 at 12:16:12PM +0100, Adrian Bunk wrote:
> I see you have downgraded this bug reported by Wichert from "grave" to
> "normal". Is there a specific reason for this downgrade? I have the same
> problem with every call to "apt-get" and I'm wondering why you assume it
> isn't "grave" that "apt-get" is completely broken for me.

grave bugs mean a package is unusable for everyone, and that it thus
won't be a loss to anyone if the package is removed. apt works fine for
me, so that's obviously not the case.

A segfault on its own that doesn't reoccur is just a normal bug, and that's
all there was any evidence of that I saw. If it's reoccuring and happens
no matter what, that ups it to important, but not grave.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

``_Any_ increase in interface difficulty, in exchange for a benefit you
  do not understand, cannot perceive, or don't care about, is too much.''
                      -- John S. Novak, III (The Humblest Man on the Net)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 81829@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@debian.org>
To: Adrian Bunk <bunk@fs.tum.de>, 81829@bugs.debian.org
Cc: Anthony Towns <aj@azure.humbug.org.au>, debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>
Subject: Re: Bug#81829: How to avoid the segfault in apt-get?
Date: Thu, 15 Feb 2001 14:12:47 -0700 (MST)
On Thu, 15 Feb 2001, Adrian Bunk wrote:

> I see you have downgraded this bug reported by Wichert from "grave" to
> "normal". Is there a specific reason for this downgrade? I have the same
> problem with every call to "apt-get" and I'm wondering why you assume it
> isn't "grave" that "apt-get" is completely broken for me.

Their are only 2 known cases where this happens:
   1) Your libc/libstdc++ is screwed
   2) Your system has corrupted the data in /var/cache/apt/*.bin

In #1 you have to fix it, in #2 it usually fixes itself next 'update', but
if that is not the case 'rm /var/cache/apt/*.bin' always fixes it.
 
Nobody has been able to show that these are actual APT bugs, the reason I
have not closed the reports is because I would like it to handle #2 more
elegantly and make a better error message.

Jason




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 81829@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Jason Gunthorpe <jgg@debian.org>
Cc: <81829@bugs.debian.org>, Anthony Towns <aj@azure.humbug.org.au>, APT Development Team <deity@lists.debian.org>
Subject: Re: Bug#81829: How to avoid the segfault in apt-get?
Date: Thu, 15 Feb 2001 22:43:10 +0100 (CET)
On Thu, 15 Feb 2001, Jason Gunthorpe wrote:

> Their are only 2 known cases where this happens:
>    1) Your libc/libstdc++ is screwed
>    2) Your system has corrupted the data in /var/cache/apt/*.bin
>
> In #1 you have to fix it, in #2 it usually fixes itself next 'update', but
> if that is not the case 'rm /var/cache/apt/*.bin' always fixes it.

It seems #2 was the case but the next 'update' didn't fix it. I did a
'rm /var/cache/apt/archives/*' that fixed the problem for me (I didn't
try a 'rm /var/cache/apt/*.bin').

> Nobody has been able to show that these are actual APT bugs, the reason I
> have not closed the reports is because I would like it to handle #2 more
> elegantly and make a better error message.

That would be good because I can't remember doing anything wrong before
and it took me some time to find the right solution. An advisory which
files to delete would have saved me some time (and a segmentation fault is
a bad error handling of a program so I would call it a bug).

> Jason

cu,
Adrian

-- 

Nicht weil die Dinge schwierig sind wagen wir sie nicht,
sondern weil wir sie nicht wagen sind sie schwierig.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 81829@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@debian.org>
To: Adrian Bunk <bunk@fs.tum.de>
Cc: 81829@bugs.debian.org, Anthony Towns <aj@azure.humbug.org.au>, APT Development Team <deity@lists.debian.org>
Subject: Re: Bug#81829: How to avoid the segfault in apt-get?
Date: Thu, 15 Feb 2001 14:45:36 -0700 (MST)
On Thu, 15 Feb 2001, Adrian Bunk wrote:

> It seems #2 was the case but the next 'update' didn't fix it. I did a
> 'rm /var/cache/apt/archives/*' that fixed the problem for me (I didn't
> try a 'rm /var/cache/apt/*.bin').

Uh.

I did not say to do rm /var/cache/apt/archives. That cannot, and must not
fix the problem that Wichert reported.

For 'update' to fix it there must be something updated.

Jason




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 81829@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Jason Gunthorpe <jgg@debian.org>
Cc: <81829@bugs.debian.org>, Anthony Towns <aj@azure.humbug.org.au>, APT Development Team <deity@lists.debian.org>
Subject: Re: Bug#81829: How to avoid the segfault in apt-get?
Date: Thu, 15 Feb 2001 22:57:30 +0100 (CET)
On Thu, 15 Feb 2001, Jason Gunthorpe wrote:

> > It seems #2 was the case but the next 'update' didn't fix it. I did a
> > 'rm /var/cache/apt/archives/*' that fixed the problem for me (I didn't
> > try a 'rm /var/cache/apt/*.bin').
>
> Uh.
>
> I did not say to do rm /var/cache/apt/archives. That cannot, and must not
> fix the problem that Wichert reported.
>
> For 'update' to fix it there must be something updated.

I was a bit unclear: I did a 'rm /var/cache/apt/archives/*' followed by an
'update'. Before there was nothing new for 'update' but now there was. I
used perhaps an unusual way to update the data in /var/cache/apt/*.bin ?

> Jason

cu,
Adrian

-- 

Nicht weil die Dinge schwierig sind wagen wir sie nicht,
sondern weil wir sie nicht wagen sind sie schwierig.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 81829@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@debian.org>
To: Adrian Bunk <bunk@fs.tum.de>
Cc: 81829@bugs.debian.org, Anthony Towns <aj@azure.humbug.org.au>, APT Development Team <deity@lists.debian.org>
Subject: Re: Bug#81829: How to avoid the segfault in apt-get?
Date: Thu, 15 Feb 2001 15:16:05 -0700 (MST)
On Thu, 15 Feb 2001, Adrian Bunk wrote:

> I was a bit unclear: I did a 'rm /var/cache/apt/archives/*' followed by an
> 'update'. Before there was nothing new for 'update' but now there was. I

The 'now there was' is just due to usual Package file updation.

Jason




Merged 81829 93453. Request was from Jason Gunthorpe <jgg@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Jason Gunthorpe <jgg@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 81829 93453 98017 165448 166306 171248 173616 177604 177871 186366. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 81829 93453 98017 165448 166306 171248 173616 177604 177871 186366 211769. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 81829 93453 98017 165448 166306 171248 173616 177604 177871 186366 211769 216249. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 81829 93453 98017 165448 166306 171248 173616 177604 177871 186366 211769 216249 218917. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Bob the Hamster <Bob@HamsterRepublic.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 81829@bugs.debian.org (full text, mbox):

From: Bob the Hamster <Bob@HamsterRepublic.com>
To: 81829@bugs.debian.org
Subject: corrupt /var/cache/apt/*.bin files
Date: Thu, 8 Apr 2004 00:49:54 -0700
I was running an update of my debian/sarge box today, and encountered 
the following error message at the [I]nstall step in dselect.

Reading Package Lists... Done
/usr/lib/dpkg/methods/apt/install: line 57: 15737 Segmentation fault      
$APTGET $OPTS "$APT_OPT0" "$APT_OPT1" dselect-upgrade

I searched for the error message on google groups, and found a few 
complaints about it, but most had no reply at all, and the few that did 
have replies were totally unhelpful. I did find Debian bug 196070 which 
was marked fixed in July of last year with no useful information posted 
in the bug report, other than the clarification that the crash was being 
caused by apt, not by dselect. So I cut dselect out of the loop, and 
tried apt-get from the command-line.

[root:~]apt-get upgrade
Reading Package Lists... Done
Segmentation faulty Tree... 50%

The "Segmentation Fault" error was being drawn over the top of the last
line of text. "apt-get clean" did nothing, and "apt-get check"  
segfaulted the same way as "apt-get upgrade". "apt-get update" seemed to
download the package lists just fine, but then "apt-get upgrade" would
still crash.

But the error message "Segmentation faulty" was cute, and more clear and 
concise than the error I was getting by way of dselect, so I searched 
google groups for "Segmentation faulty" and that got some more useful 
posts. One suggested deleting /var/cache/apt/*.bin

[root:~]ls -l /var/cache/apt/*.bin
-rw-r--r--    1 root     root      4973681 Apr  7 15:55 
/var/cache/apt/pkgcache.bin
-rw-r--r--    1 root     root      4882303 Apr  7 15:08 
/var/cache/apt/srcpkgcache.bin
[root:~]mkdir bak
[root:~]mkdir bak/var              
[root:~]mkdir bak/var/cache        
[root:~]mkdir bak/var/cache/apt    
[root:~]mkdir bak/var/cache/apt/bin
[root:~]mv /var/cache/apt/*.bin ~/bak/var/cache/apt/bin

And after that, everything was happy again. I was able to run "apt-cache 
update" and then "apt-cache upgrade" and everything worked.

Afterwards, knowing the problem, a search of the debian bug archives 
turned up Bug 81829 and many duplicates. I read all the duplicates, and 
they were all the same story. Somebody reports segfaults in apt-get. A 
developer is unable to reproduce the error, and suggests to the 
reporter, "hey, I'll bet your apt cache got corrupted somehow" and 
advises the reporter to run "rm /var/cache/apt/*.bin" ... Only one 
reporter bothered to save the corrupt bin files, and then he deleted 
them before anybody asked for them. But I still have mine, and can 
consistenly reproduce the segmentation fault on demand:

[root:~]cp -p ~/bak/var/cache/apt/*.bin /var/cache/apt/    
[root:~]ls -l /var/cache/apt/
total 9660
drwxr-xr-x    3 root     root         8192 Apr  7 16:12 archives
-rw-r--r--    1 root     root      4973681 Apr  7 15:55 pkgcache.bin
-rw-r--r--    1 root     root      4882303 Apr  7 15:08 srcpkgcache.bin
[root:~]apt-get upgrade
Reading Package Lists... Done
Segmentation faulty Tree... 65%

So. Anybody want my corrupt /var/cache/apt/.bin files? I am eager to do 
whatever I can to assist in resolving this lil' bug once and for all. 

---
James Paige



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 81829@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Bob the Hamster <Bob@HamsterRepublic.com>, 81829@bugs.debian.org
Subject: Re: Bug#81829: corrupt /var/cache/apt/*.bin files
Date: Thu, 8 Apr 2004 09:04:06 -0700
On Thu, Apr 08, 2004 at 12:49:54AM -0700, Bob the Hamster wrote:

> -rw-r--r--    1 root     root      4882303 Apr  7 15:08 srcpkgcache.bin
> [root:~]apt-get upgrade
> Reading Package Lists... Done
> Segmentation faulty Tree... 65%
> 
> So. Anybody want my corrupt /var/cache/apt/.bin files? I am eager to do 
> whatever I can to assist in resolving this lil' bug once and for all. 

What filesystem are you using?  This corruption is not believed to be apt's
fault presently.

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Bob the Hamster <Bob@HamsterRepublic.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 81829@bugs.debian.org (full text, mbox):

From: Bob the Hamster <Bob@HamsterRepublic.com>
To: Matt Zimmerman <mdz@debian.org>, 81829@bugs.debian.org
Subject: Re: Bug#81829: corrupt /var/cache/apt/*.bin files
Date: Thu, 8 Apr 2004 18:35:55 -0700
On Thu, Apr 08, 2004 at 09:04:06AM -0700, Matt Zimmerman wrote:
> On Thu, Apr 08, 2004 at 12:49:54AM -0700, Bob the Hamster wrote:
> 
> > -rw-r--r--    1 root     root      4882303 Apr  7 15:08 srcpkgcache.bin
> > [root:~]apt-get upgrade
> > Reading Package Lists... Done
> > Segmentation faulty Tree... 65%
> > 
> > So. Anybody want my corrupt /var/cache/apt/.bin files? I am eager to do 
> > whatever I can to assist in resolving this lil' bug once and for all. 
> 
> What filesystem are you using?  This corruption is not believed to be apt's
> fault presently.
> 
> -- 
>  - mdz

I am using plain-ol' EXT3
I would agree with the guess that the corruption was probably not apt's 
fault, but the real issue in this bug is what apt does after [insert 
random cause of corruption] when it tries to parse the corrupt file. 
An error-checking thing, ya know?

--
James Paige



Tags removed: sid Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to James Paige <jamesp@westcoastaerospace.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 81829@bugs.debian.org (full text, mbox):

From: James Paige <jamesp@westcoastaerospace.com>
To: 81829@bugs.debian.org
Subject: apt segfaults on corrupted /var/cache/apt/*.bin files
Date: Wed, 07 Jul 2004 08:57:48 -0700
[Message part 1 (text/plain, inline)]
I had what appears to be an interrupted transfer of the "Release" file 
durring an apt-get update which lead to a gzip crc error, which then 
triggered this bug; the error:

/usr/lib/dpkg/methods/apt/install: line 57: 13081 Segmentation fault 
  $APTGET $OPTS "$APT_OPT0" "$APT_OPT1" dselect-upgrade

Whenever running apt-cache update

Attached is the output of the cron job where the original corruption 
occured. I have already worked around the problem by moving the bad 
/var/cache/apt/*.bin files out of the way, so nobody needs to tell me to 
do that ;)
[Cron  test -e /usr/sbin/anacron || run-parts --report /etc/cron.daily (message/rfc822, inline)]
From: root@octopus.westcoastaerospace.com (Cron Daemon)
To: root@westcoastaerospace.com
Subject: Cron <root@octopus> test -e /usr/sbin/anacron || run-parts --report /etc/cron.daily
Date: Wed, 07 Jul 2004 06:25:48 -0700
/etc/cron.daily/debian-updates:
Hit http://non-us.debian.org sarge/non-US/main Packages
Hit http://non-us.debian.org sarge/non-US/main Release
Get:1 http://ftp.us.debian.org sarge/main Packages [2982kB]
Hit http://security.debian.org sarge/updates/main Packages
Hit http://security.debian.org sarge/updates/main Release
Get:2 http://ftp.us.debian.org sarge/main Release [81B]

gzip: stdin: invalid compressed data--crc error

gzip: stdin: invalid compressed data--length error
Err http://ftp.us.debian.org sarge/main Packages
  Sub-process gzip returned an error code (1)
Fetched 2982kB in 44s (67.1kB/s)
Reading Package Lists...Failed to fetch http://ftp.us.debian.org/debian/dists/sarge/main/binary-i386/Packages.gz  Sub-process gzip returned an error code (1)

W: Couldn't stat source package list http://ftp.us.debian.org sarge/main Packages (/var/lib/apt/lists/ftp.us.debian.org_debian_dists_sarge_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://ftp.us.debian.org sarge/main Packages (/var/lib/apt/lists/ftp.us.debian.org_debian_dists_sarge_main_binary-i386_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Some index files failed to download, they have been ignored, or old ones used instead.
Reading Package Lists...
Building Dependency Tree...
W: Couldn't stat source package list http://ftp.us.debian.org sarge/main Packages (/var/lib/apt/lists/ftp.us.debian.org_debian_dists_sarge_main_binary-i386_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Merged 81829 93453 98017 165448 166306 171248 173616 177604 177871 186366 211769 216249 218917 270147. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Leopold Palomo-Avellaneda <lepalom@wol.es>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #89 received at 81829@bugs.debian.org (full text, mbox):

From: Leopold Palomo-Avellaneda <lepalom@wol.es>
To: 81829@bugs.debian.org
Cc: Jason Gunthorpe <jgg@debian.org>
Subject: Bub 81829 again?
Date: Thu, 14 Oct 2004 11:47:10 +0200
Dear people,

3 years ago this bug was happened.  [1]
Now I have the same problem with a Sarge from 30 july 2004. I also have 
strange behaviour as do:
dpkg -l > packages 

and found errors in some packages because the name is malformed and run again 
the dpkg and found errors in another packages, and run again and non error 
found.

Also, rm the /var/cache/apt/*.bin doesn't works, and all of the problems began 
with an error of gzip :
gzip: stdin: invalid compressed data--crc error
....

So, how I can know if it's and error of apt, or libc/libstdc++ as you said? Or 
is again a problem of apt, pr the hd fail?

Thank's in advance.

Leo

Pd I have to say that I'm a bit worry ....


------------------------------------------------
[1]
Message received at 81829@bugs.debian.org:

 
Received: (at 81829) by bugs.debian.org; 15 Feb 2001 21:12:55 +0000
From jgg@debian.org Thu Feb 15 15:12:54 2001
Return-path: <jgg@debian.org>
Received: from cast-ext.ab.videon.ca [::ffff:206.75.216.34] 
        by master.debian.org with smtp (Exim 3.12 1 (Debian))
        id 14TVhu-0005SI-00; Thu, 15 Feb 2001 15:12:54 -0600
Received: (qmail 7045 invoked from network); 15 Feb 2001 21:12:49 -0000
Received: from unknown (HELO wakko.deltatee.com) ([24.108.173.63]) 
(envelope-sender <jgg@debian.org>)
          by cast-ext.ab.videon.ca (qmail-ldap-1.03) with SMTP
          for <bunk@fs.tum.de>; 15 Feb 2001 21:12:49 -0000
Received: from localhost
        ([127.0.0.1] helo=wakko.deltatee.com ident=jgg)
        by wakko.deltatee.com with smtp (Exim 3.16 #1 (Debian))
        id 14TVho-0003C8-00; Thu, 15 Feb 2001 14:12:48 -0700
Date: Thu, 15 Feb 2001 14:12:47 -0700 (MST)
From: Jason Gunthorpe <jgg@debian.org>
X-Sender: jgg@wakko.deltatee.com
To: Adrian Bunk <bunk@fs.tum.de>, 81829@bugs.debian.org
cc: Anthony Towns <aj@azure.humbug.org.au>, debian-bugs-dist@lists.debian.org, 
    APT Development Team <deity@lists.debian.org>
Subject: Re: Bug#81829: How to avoid the segfault in apt-get?
In-Reply-To: 
<Pine.NEB.4.33.0102151212580.15706-100000@tethys.fachschaften.tu-muenchen.de>
Message-ID: <Pine.LNX.3.96.1010215140747.12257A-100000@wakko.deltatee.com>
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Delivered-To: 81829@bugs.debian.org


On Thu, 15 Feb 2001, Adrian Bunk wrote:

> I see you have downgraded this bug reported by Wichert from "grave" to
> "normal". Is there a specific reason for this downgrade? I have the same
> problem with every call to "apt-get" and I'm wondering why you assume it
> isn't "grave" that "apt-get" is completely broken for me.

Their are only 2 known cases where this happens:
   1) Your libc/libstdc++ is screwed
   2) Your system has corrupted the data in /var/cache/apt/*.bin

In #1 you have to fix it, in #2 it usually fixes itself next 'update', but
if that is not the case 'rm /var/cache/apt/*.bin' always fixes it.
 
Nobody has been able to show that these are actual APT bugs, the reason I
have not closed the reports is because I would like it to handle #2 more
elegantly and make a better error message.

Jason



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Leopold Palomo-Avellaneda <lepalom@wol.es>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #94 received at 81829@bugs.debian.org (full text, mbox):

From: Leopold Palomo-Avellaneda <lepalom@wol.es>
To: 81829@bugs.debian.org
Cc: Jason Gunthorpe <jgg@debian.org>
Subject: Adding some more info
Date: Thu, 14 Oct 2004 12:05:49 +0200
# gdb apt-get
GNU gdb 6.1-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-linux"...(no debugging symbols found)...Using 
host libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run upgrade
Starting program: /usr/bin/apt-get upgrade
(no debugging symbols found)...(no debugging symbols found)...(no debugging 
symbols found)...(no debugging symbols found)...(no debugging S'està llegint 
la llista de paquets... Acabat...(no debugging symbols found)...(no debugging 
symbols found)...
S'està construint l'arbre de dependències... Acabat

Program received signal SIGSEGV, Segmentation fault.
0x4005bea1 in pkgDepCache::MarkInstall () 
from /usr/lib/libapt-pkg-libc6.3-5.so.3.3


-------------------------------------

gamarus:~# dpkg -l > packages
dpkg-query: parse error, in file `/var/lib/dpkg/available' near line 83212 
paquet «libsndfile1»:
 field  «Depends», referece to «libc6»: version contains a « »
gamarus:~# export LANG=C
gamarus:~# dpkg -l > packages
dpkg-query: parse error, in file `/var/lib/dpkg/available' near line 52876 
package `gkrellm':
 `Conflicts' field, reference to `gkrellm-gnome': version contains ` '
gamarus:~# dpkg -l > packages
gamarus:~# dpkg -l > packages
gamarus:~# dpkg -l > packages
dpkg-query: parse error, in file `/var/lib/dpkg/status' near line 19156:
 invalid package name (character `ÿ' not allowed - only letters, digits and 
-+._ allowed)
gamarus:~# dpkg -l > packages
dpkg-query: parse error, in file `/var/lib/dpkg/available' near line 33387 
package `nvtv':
 field name `ÿsizes,' must be followed by colon
gamarus:~# dpkg -l > packages
dpkg-query: parse error, in file `/var/lib/dpkg/available' near line 39053 
package `lv':
 `Depends' field, reference to `libncurses5': version contains ` '
gamarus:~# dpkg -l > packages
......


Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #99 received at 81829@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: Leopold Palomo-Avellaneda <lepalom@wol.es>, 81829@bugs.debian.org
Subject: Re: Bug#81829: Bub 81829 again?
Date: Thu, 14 Oct 2004 23:02:05 -0700
On Thu, Oct 14, 2004 at 11:47:10AM +0200, Leopold Palomo-Avellaneda wrote:

> Dear people,
> 
> 3 years ago this bug was happened.  [1]
> Now I have the same problem with a Sarge from 30 july 2004. I also have 
> strange behaviour as do:
> dpkg -l > packages 
> 
> and found errors in some packages because the name is malformed and run again 
> the dpkg and found errors in another packages, and run again and non error 
> found.

This has nothing to do with apt.  It doesn't look like a dpkg problem,
either.  Something lower-level on your system is broken (filesystem, kernel,
hardware).

-- 
 - mdz



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Leopold Palomo-Avellaneda <lepalom@wol.es>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #104 received at 81829@bugs.debian.org (full text, mbox):

From: Leopold Palomo-Avellaneda <lepalom@wol.es>
To: Matt Zimmerman <mdz@debian.org>
Cc: 81829@bugs.debian.org
Subject: Re: Bug#81829: Bug 81829 again?
Date: Fri, 15 Oct 2004 09:40:36 +0200
A Divendres 15 Octubre 2004 08:02, Matt Zimmerman va escriure:
[...]
> This has nothing to do with apt.  It doesn't look like a dpkg problem,
> either.  Something lower-level on your system is broken (filesystem,
> kernel, hardware).

Yes, you are right. I'm sorry. Trying to repair the filesystem booting from a 
cd I found crc errors, so, I think that is hardware problem. 
After the memtest86 confirm that. Maybe it could be a good idea to put in 
someplace that when apt or dpkg fails with this kind of problem, there are 
some real options that it's a hardware problem.

Thank's a lot for the reply.

best regards,

Leo



Merged 81829 93453 98017 165448 166306 171248 173616 177604 177871 186366 211769 216249 218917 270147 349233. Request was from Filipus Klutiero <ido@vif.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 81829 93453 98017 165448 166306 171248 173616 177604 177871 186366 211769 216249 218917 270147 349233 368898. Request was from Filipus Klutiero <ido@vif.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 81829 93453 98017 165448 166306 171248 173616 177604 177871 186366 211769 216249 218917 270147 349233 368898 383223. Request was from Fabrice Gautier <droopycom@yahoo.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Nicolas Bonifas <nicolas.bonifas@free.fr> to control@bugs.debian.org. (Wed, 26 Dec 2007 15:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bonifas <nicolas.bonifas@free.fr>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #117 received at 81829@bugs.debian.org (full text, mbox):

From: Nicolas Bonifas <nicolas.bonifas@free.fr>
To: Bob@HamsterRepublic.com
Cc: 81829@bugs.debian.org
Subject: Debian bug #81829: corrupt /var/cache/apt/*.bin files
Date: Wed, 02 Jan 2008 17:31:19 +0100
Hello,
On a mail sent Thu, 8 Apr 2004, you offered to send your corrupt 
/var/cache/apt/*.bin files.
I would be very interested to get them, if you still have them.
Thank you very much.
Happy new year,
Nicolas




Bug marked as found in version 0.7.20.2. Request was from Axel Beckert <abe@deuxchevaux.org> to control@bugs.debian.org. (Tue, 17 Feb 2009 20:12:03 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Apr 2011 08:27:45 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. (Thu, 18 Aug 2011 21:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Thu, 18 Aug 2011 21:24:10 GMT) Full text and rfc822 format available.

Message #126 received at 81829@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 81829@bugs.debian.org
Subject: Re: "Segmentation faulty tree" (#270147) still present in Lenny, broken /var/cache/apt/*.bin available for download
Date: Thu, 18 Aug 2011 16:16:05 -0500
tags 81829 - moreinfo
quit

Axel Beckert wrote:

> I occasionally ran into this bug on Lenny, can't remember on which
> platform, but never deterministically.
>
> But today I reproducibly ran into this bug with both, apt-get and
> aptitude. Independent of what I did: aptitude; aptitude -u; aptitude
> upgrade; apt-get upgrade, I always get the "Segmentation faulty
> tree... 50%" ("Building dependency tree... 50%^MSegmentation fault").
>
> Moving /var/lib/apt/extended_states away didn't help.
>
> Couldn't even do an apt-get install gdb for generating a backtrace.
>
> Moving away pkgcache.bin and srcpkgcache.bin from /var/cache/apt/
> finally did help (thanks to waldi for that hint), but copying them
> back after upgrading two packages didn't reproduce the segfault --
> they always got recreated.

Thanks!  No promises about being able to take a look soon, but I've
downloaded them.

> They are available for download at
> 
>   http://noone.org/debian/Bug-Reports/




Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 18 Aug 2011 21:24:13 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:09:10 GMT) Full text and rfc822 format available.

Notification sent to Wichert Akkerman <wichert@cistron.nl>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:09:15 GMT) Full text and rfc822 format available.

Message #133 received at 81829-done@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 81829-done@bugs.debian.org
Subject: Re: Bug#81829: "Segmentation faulty tree" (#270147) still present in Lenny, broken /var/cache/apt/*.bin available for download
Date: Fri, 19 Aug 2011 12:05:22 +0200
[Message part 1 (text/plain, inline)]
Source: apt
Source-Version: 0.8.16~exp4

apt (0.8.16~exp4) experimental; urgency=low

   [ Julian Andres Klode ]
   * apt-pkg/pkgcache.h:
     - [ABI break] Add pkgCache::Header::CacheFileSize, storing the cache size
   * apt-pkg/pkgcachegen.cc:
     - Write the file size to the cache
   * apt-pkg/pkgcache.cc:
     - Check that cache is at least CacheFileSize bytes large (LP: #16467)

On Thu, Aug 18, 2011 at 04:16:05PM -0500, Jonathan Nieder wrote:
> tags 81829 - moreinfo
> quit
> 
> Axel Beckert wrote:
> 
> > I occasionally ran into this bug on Lenny, can't remember on which
> > platform, but never deterministically.
> >
> > But today I reproducibly ran into this bug with both, apt-get and
> > aptitude. Independent of what I did: aptitude; aptitude -u; aptitude
> > upgrade; apt-get upgrade, I always get the "Segmentation faulty
> > tree... 50%" ("Building dependency tree... 50%^MSegmentation fault").
> >
> > Moving /var/lib/apt/extended_states away didn't help.
> >
> > Couldn't even do an apt-get install gdb for generating a backtrace.
> >
> > Moving away pkgcache.bin and srcpkgcache.bin from /var/cache/apt/
> > finally did help (thanks to waldi for that hint), but copying them
> > back after upgrading two packages didn't reproduce the segfault --
> > they always got recreated.
> 
> Thanks!  No promises about being able to take a look soon, but I've
> downloaded them.
I closed the Launchpad bug in 0.8.16~exp4, but forgot to close that 
one. We still cannot detect invalid caches where data changes, but we
can now detect all truncated caches, and reject them.

I could have included a CRC checksum in the header of the remaining
cache, but our experience so far is that 

 (a) most (all?) of these bugs are the result of truncated cache files
 (b) checksumming the cache on opening is much slower than we want,
     especially on ARM systems (200 ms on abel.d.o, 500 ms on an N900,
     12 ms on my Intel Core i5)

That said, if future shows us cases where there are problems with
correctly-sized caches, we can still add a checksum when we break
ABI again, and enable it by default only on amd64 and other fast
architectures.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:09:18 GMT) Full text and rfc822 format available.

Notification sent to Brian May <brian@microcomaustralia.com.au>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:09:19 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:09:28 GMT) Full text and rfc822 format available.

Notification sent to joss@debian.org:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:09:35 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:09:37 GMT) Full text and rfc822 format available.

Notification sent to Guillaume Membré <guillaume@tuxfamily.org>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:09:41 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:09:45 GMT) Full text and rfc822 format available.

Notification sent to Guenther Harrasser <huedi@huedi.net>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:09:46 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:09:51 GMT) Full text and rfc822 format available.

Notification sent to Marc Schoechlin <marc.schoechlin@web.de>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:09:51 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:09:54 GMT) Full text and rfc822 format available.

Notification sent to "H. Jones" <inzanekaoz@yahoo.com>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:09:59 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:10:01 GMT) Full text and rfc822 format available.

Notification sent to Kestutis Kupciunas <kesha@soften.ktu.lt>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:10:03 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:10:09 GMT) Full text and rfc822 format available.

Notification sent to Christian Hammers <ch@debian.org>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:10:16 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:10:23 GMT) Full text and rfc822 format available.

Notification sent to Eric Sharkey <sharkey@netrics.com>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:10:39 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:10:59 GMT) Full text and rfc822 format available.

Notification sent to Steven Hazel <sah@thalassocracy.org>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:11:05 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:11:10 GMT) Full text and rfc822 format available.

Notification sent to "Jens Thiele (karme)" <karme@berlios.de>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:11:16 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:11:22 GMT) Full text and rfc822 format available.

Notification sent to debian@helgefjell.de:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:11:39 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:11:44 GMT) Full text and rfc822 format available.

Notification sent to Ryan Lovett <ryan@spacecoaster.dyndns.org>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:11:51 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:11:54 GMT) Full text and rfc822 format available.

Notification sent to Jari Aalto <jari.aalto@cante.net>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:11:58 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:12:01 GMT) Full text and rfc822 format available.

Notification sent to gilbahat@post.tau.ac.il:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:12:03 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 19 Aug 2011 10:12:09 GMT) Full text and rfc822 format available.

Notification sent to Fabrice Gautier <droopycom@yahoo.com>:
Bug acknowledged by developer. (Fri, 19 Aug 2011 10:12:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. (Fri, 19 Aug 2011 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Fri, 19 Aug 2011 18:21:03 GMT) Full text and rfc822 format available.

Message #218 received at 81829@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Julian Andres Klode <jak@debian.org>
Cc: 81829@bugs.debian.org
Subject: Re: "Segmentation faulty tree" (#270147) still present in Lenny, broken /var/cache/apt/*.bin available for download
Date: Fri, 19 Aug 2011 13:19:46 -0500
Julian Andres Klode wrote:

>    * apt-pkg/pkgcache.cc:
>      - Check that cache is at least CacheFileSize bytes large (LP: #16467)

Oh, neat.  Thanks, Julian.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. (Sat, 24 Sep 2011 19:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ross Boylan <ross@biostat.ucsf.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Sat, 24 Sep 2011 19:27:06 GMT) Full text and rfc822 format available.

Message #223 received at 81829@bugs.debian.org (full text, mbox):

From: Ross Boylan <ross@biostat.ucsf.edu>
To: Debian Bug Tracking System <81829@bugs.debian.org>
Subject: libapt-pkg-libc6.7-6.so.4.6.0 segfaults even after rm /var/cache/apt/*.bin
Date: Sat, 24 Sep 2011 12:08:02 -0700
Package: apt
Version: 0.7.20.2+lenny2
Followup-For: Bug #81829

A couple of days ago I started getting messages like
aptitude[3460]: segfault at 7eff79ada000 ip 00007eff7bb3a405 sp 00007fff011be790 error 7 in libapt-pkg-libc6.7-6.so.4.6.0[7eff7bb13000+bd000]
associated with cron jobs for debtags and apt-show-versions.

Finding this bug, I tried rm /var/cache/apt/*.bin, but the error
persists.  The line above was from aptitude update after the rm.

gdb is not installed on the system.

I did not updates in the days before the error started.

This is a pretty important bug for me, as I can't update the system.

/var is ext3 on top of dm-crypt on top of lvm on top of software
RAID.  System is still mostly lenny, though the kernel is not.

gdb is not installed.

Any ideas?

Thanks.

-- Package-specific info:

-- apt-config dump --

APT "";
APT::Architecture "amd64";
APT::Build-Essential "";
APT::Build-Essential:: "build-essential";
APT::Install-Recommends "1";
APT::Install-Suggests "0";
APT::Acquire "";
APT::Acquire::Translation "environment";
APT::Authentication "";
APT::Authentication::TrustCDROM "true";
APT::NeverAutoRemove "";
APT::NeverAutoRemove:: "^linux-image.*";
APT::NeverAutoRemove:: "^linux-restricted-modules.*";
APT::Default-Release "stable";
Dir "/";
Dir::State "var/lib/apt/";
Dir::State::lists "lists/";
Dir::State::cdroms "cdroms.list";
Dir::State::userstatus "status.user";
Dir::State::status "/var/lib/dpkg/status";
Dir::Cache "var/cache/apt/";
Dir::Cache::archives "archives/";
Dir::Cache::srcpkgcache "srcpkgcache.bin";
Dir::Cache::pkgcache "pkgcache.bin";
Dir::Etc "etc/apt/";
Dir::Etc::sourcelist "sources.list";
Dir::Etc::sourceparts "sources.list.d";
Dir::Etc::vendorlist "vendors.list";
Dir::Etc::vendorparts "vendors.list.d";
Dir::Etc::main "apt.conf";
Dir::Etc::parts "apt.conf.d";
Dir::Etc::preferences "preferences";
Dir::Bin "";
Dir::Bin::methods "/usr/lib/apt/methods";
Dir::Bin::dpkg "/usr/bin/dpkg";
Dir::Log "var/log/apt";
Dir::Log::Terminal "term.log";
DPkg "";
DPkg::Pre-Install-Pkgs "";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/apt-listbugs apt || exit 10";
DPkg::Pre-Install-Pkgs:: "/usr/bin/apt-listchanges --apt || test $? -ne 10";
DPkg::Pre-Install-Pkgs:: "/usr/sbin/dpkg-preconfigure --apt || true";
DPkg::Tools "";
DPkg::Tools::Options "";
DPkg::Tools::Options::/usr/sbin/apt-listbugs "";
DPkg::Tools::Options::/usr/sbin/apt-listbugs::Version "2";
DPkg::Tools::Options::/usr/bin/apt-listchanges "";
DPkg::Tools::Options::/usr/bin/apt-listchanges::Version "2";

-- /etc/apt/preferences --

Package: *
Pin: release a=testing
Pin-Priority: 55

Explanation: Try to prevent unstable from creeping in
Package: *
Pin: release a=unstable
Pin-Priority: 50

Explanation: Must match default unstable priority from apt.conf for security
Package: *
Pin: release a=stable
Pin-Priority: 60

-- /etc/apt/sources.list --

# 
# deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official amd64 NETINST Binary-1 20090214-15:57]/ lenny main

#deb cdrom:[Debian GNU/Linux 5.0.0 _Lenny_ - Official amd64 NETINST Binary-1 20090214-15:57]/ lenny main

deb http://10.4.0.223:3142/debian lenny main contrib non-free
deb-src http://10.4.0.223:3142/debian lenny main  contrib non-free

deb http://10.4.0.223:3142/security lenny/updates main  contrib non-free
deb-src http://10.4.0.223:3142/security lenny/updates main contrib non-free

deb http://10.4.0.223:3142/volatile lenny/volatile main  contrib non-free
deb-src http://10.4.0.223:3142/volatile lenny/volatile main contrib non-free

deb http://volatile.debian.org/debian-volatile lenny/volatile-sloppy main contrib non-free
deb-src http://volatile.debian.org/debian-volatile lenny/volatile-sloppy main contrib non-free

# mostly for kernel
deb http://10.4.0.223:3142/debian testing main contrib non-free
deb http://10.4.0.223:3142/debian sid main contrib non-free
deb-src http://10.4.0.223:3142/debian sid main  contrib non-free

# for the latest kernel
#deb http://10.4.0.223:3142/kernel-archive.buildserver.net/debian-kernel trunk main
#deb-src http://10.4.0.223:3142/kernel-archive.buildserver.net/debian-kernel trunk main

# which needs kbuild from sid
#deb http://10.4.0.223:3142/debian unstable main contrib non-free
#deb-src http://10.4.0.223:3142/debian unstable main  contrib non-free

-- System Information:
Debian Release: 5.0.8
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages apt depends on:
ii  debian-archive-keyring 2010.08.28~lenny1 GnuPG archive keys of the Debian a
ii  libc6                  2.7-18lenny7      GNU C Library: Shared libraries
ii  libgcc1                1:4.3.2-1.1       GCC support library
ii  libstdc++6             4.3.2-1.1         The GNU Standard C++ Library v3

apt recommends no packages.

Versions of packages apt suggests:
pn  apt-doc               <none>             (no description available)
ii  aptitude              0.4.11.11-1~lenny1 terminal-based package manager
ii  bzip2                 1.0.5-1+lenny1     high-quality block-sorting file co
ii  dpkg-dev              1.14.31            Debian package development tools
ii  lzma                  4.43-14            Compression method of 7z format in
ii  python-apt            0.7.7.1+nmu1       Python interface to libapt-pkg

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#81829; Package apt. (Mon, 26 Sep 2011 22:01:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ross Boylan <ross@biostat.ucsf.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 26 Sep 2011 22:01:36 GMT) Full text and rfc822 format available.

Message #228 received at 81829@bugs.debian.org (full text, mbox):

From: Ross Boylan <ross@biostat.ucsf.edu>
To: 81829@bugs.debian.org
Cc: ross@biostat.ucsf.edu
Subject: Re: Bug#81829: Ilibapt-pkg-libc6.7-6.so.4.6.0 segfaults even after rm /var/cache/apt/*.bin [SOLVED]
Date: Mon, 26 Sep 2011 14:08:50 -0700
The problem was that I had exceeded the cache limit.  Increasing it with
APT::Cache-Limit "300000";
in /etc/apt/apt.conf.d/99local
cured the problem.

Thanks to Richard Tabor for spotting this.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 May 2012 07:35:03 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Steve Cotton <steve@s.cotton.clara.co.uk> to control@bugs.debian.org. (Fri, 12 Jul 2013 17:27:05 GMT) Full text and rfc822 format available.

Marked as found in versions apt/0.5.27 and apt/0.7.20.2+lenny2; no longer marked as found in versions 0.7.20.2+lenny2 and 0.5.27. Request was from Steve Cotton <steve@s.cotton.clara.co.uk> to control@bugs.debian.org. (Fri, 12 Jul 2013 17:27:12 GMT) Full text and rfc822 format available.

Merged 165448 166306 171248 173616 177604 177871 186366 211769 216249 218917 270147 349233 368898 383223 699475 81829 93453 98017 Request was from Steve Cotton <steve@s.cotton.clara.co.uk> to control@bugs.debian.org. (Fri, 12 Jul 2013 17:27:24 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Aug 2013 07:26:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:13:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.